function [Data,params] = load_matlab(path)
%LOAD_MATLAB imports EPR data recorded with MATLAB script
%   Usage: ['data_as_double','struct_with_parameters'] = load_matlab('C:/full/path/to/file.mat')
%
%   Imports data exported from MATLAB workspace and extracts the filename.
%   Input has to be the full path to file with forwardslashes as char or
%   string. The extracted name is appended to the 'params' struct, whos
%   contents are displayed in the command window afterwards.

load(path,'Data','params')

%get filename for further documentation and exporting figures
dataname = string(extractBefore(extractAfter(path,asManyOfPattern(wildcardPattern + "/")),'.'));
params.Name = dataname;

%echo what information is contained in the structure called 'params'
params
end

